config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/pulse/client.conf.new
config etc/pulse/daemon.conf.new
config etc/pulse/default.pa.new
config etc/pulse/system.pa.new

( cd usr/lib64 ; rm -rf libpulse-mainloop-glib.so )
( cd usr/lib64 ; ln -sf libpulse-mainloop-glib.so.0 libpulse-mainloop-glib.so )
( cd usr/lib64 ; rm -rf libpulse-mainloop-glib.so.0 )
( cd usr/lib64 ; ln -sf libpulse-mainloop-glib.so.0.0.6 libpulse-mainloop-glib.so.0 )
( cd usr/lib64 ; rm -rf libpulse-simple.so )
( cd usr/lib64 ; ln -sf libpulse-simple.so.0 libpulse-simple.so )
( cd usr/lib64 ; rm -rf libpulse-simple.so.0 )
( cd usr/lib64 ; ln -sf libpulse-simple.so.0.1.1 libpulse-simple.so.0 )
( cd usr/lib64 ; rm -rf libpulse.so )
( cd usr/lib64 ; ln -sf libpulse.so.0 libpulse.so )
( cd usr/lib64 ; rm -rf libpulse.so.0 )
( cd usr/lib64 ; ln -sf libpulse.so.0.24.3 libpulse.so.0 )
